//-------------------------------------------------------------------------------------
//	base
//-------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------
//	Phil le   13/01/2013
//-------------------------------------------------------------------------------------







//-------------------------------------------------------------------------------------
#ifndef main_h
#define main_h
//-------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------
//	definitions et constantes
//-------------------------------------------------------------------------------------

#define F_CPU 			16000000UL		//frequence quartz



//-------------------------------------------------------------------------------------
//includes
//-------------------------------------------------------------------------------------

#include <avr/io.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/util/delay.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/util/twi.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/avr/interrupt.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/compat/iocompat.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/math.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/string.h>
#include</home/dedessus/Avr/avr8-gnu-toolchain-linux_x86_64/avr/include/stdint.h>

//-------------------------------------------------------------------------------------
//variables globales
//-------------------------------------------------------------------------------------


//sens
volatile uint8_t sens;

//cpt
volatile uint8_t cpt;

//envoi
volatile uint8_t envoi;

//valeur flottante
volatile float valeur_flottante;

//-------------------------------------------------------------------------------------
//routines
//-------------------------------------------------------------------------------------

//main
int main(void);

//chenillard
void chenillard(void);

//delai
void delai(uint16_t d);

//trace_ent
void trace_ent(int v,int s);

//trace_dec
void trace_dec(int v,int nd);

//conversion dec_char
void dec_char(uint8_t v);


//initialisation transmission rs232
void rs232_init(unsigned char baud,unsigned char isr_rx);

//reception
unsigned char rs232_rx_8(void);

//emission
void rs232_tx_8(unsigned char v);

//reception 16
uint16_t rs232_rx_16(void);

//emission 16
void rs232_tx_16(uint16_t v);

//reception 32
float rs232_rx_32(void);

//emission 32
void rs232_tx_32(float v);

//emission d'une valeur quelconque
void rs232_tx_valeur(float v,int nd);

//reception d'une valeur quelconque
uint8_t rs232_rx_valeur(void);

//-------------------------------------------------------------------------------------
#endif
//-------------------------------------------------------------------------------------
